PGCC and Xcode 5.1

Does someone know how to setup an Xcode 5.1 project with the pgcc compiler? I installed FreePGI but the only compiler I can choose from under build options is Apple’s LLVM 5.1.

sascha,

Free PGI or PGI on OSX can only run on Terminal command prompt.

I don’t know if there is a way to configure PGI to use within Xcode without having a plug-in. PGI has no plan to integrate its compilers into Xcode at the moment.

Hongyon

Thanks for the reply!

you could integrate it into Xcode but it is not recommended unless you have a few hours/days to get it right.

basically, you need to create your own plugin.
go here and you’ll get the idea

http://r.research.att.com/tools/